# Sandbox

* [rouping Layers in AE](https://www.reddit.com/r/AfterEffects/comments/1bdar3o/i_dont_wanna_precompose_i_wanna_group/?utm_source=share\&utm_medium=web2x\&context=3)

## AE Naming Convention Style Guide

**Naming Details**

* When not using scene-shot naming convention, give sufficient details to your name such as indicating direction of motion, colors, etc.

> Why? Naming sequentially via number or letters is not helpful in helping users identify what the composition is, especially if you aren’t working with a sequential narrative; different deliverables requires different specifications and naming convention.

*

Dashes vs Underscore

* Dashes for chaining details
* Underscore separate details

### Terms

#### Directions

<table><thead><tr><th width="184">Name</th><th>Abbreviation</th><th>One-Letter Acronym</th></tr></thead><tbody><tr><td>Horizontal</td><td>Hori</td><td>H</td></tr><tr><td>Vertical</td><td>Vert</td><td>V</td></tr><tr><td>Diagonal</td><td>Diag</td><td>D</td></tr><tr><td>Left</td><td>Left</td><td>L</td></tr><tr><td>Right</td><td>Right</td><td>R</td></tr><tr><td>Top</td><td>Top</td><td>T</td></tr><tr><td>Bottom</td><td>Bot</td><td>B</td></tr><tr><td>Left to Right</td><td>LeftRight</td><td>LtoR</td></tr><tr><td>Top to Bottom</td><td>TopBot</td><td>TtoB</td></tr></tbody></table>

Colors

| Name of Color | Abbreviation | One-Letter Acronym |
| ------------- | ------------ | ------------------ |
| Red           | Rd           | R                  |
| Blue          | Bl           | B                  |
| Green         | Gr           | G                  |
| Yellow        | Yl           | Y                  |
| Purple        | Pp           | P                  |
| Orange        | Or           | O                  |
| Pink          | Pk           | P                  |
| Brown         | Br           | B                  |
| Black         | Blk          | B                  |
| White         | Wht          | W                  |

>

## AE Tools Style Guide

### Base Naming Convention

Dash-separated

```
 Brand* - Name - Details 
 
 * Optional
```

> Why? In orde to accomodate for incoming AE artist with varying skill experience, it's beneficial to name your composition in a readable way. There's need to be a balance between having structure and making sense for the users

```
Attribute Name (Control Type (Min: min_value, Max: max_value, Unit: unit_of_measurement)
```

### Transition Properties

```
1. Transition Type (Dropdown)

2. Transition Completion (Slider, Min: 0%, Max: 100%)
    Transition Completion - In
    Transition Completion - Out

2. Direction (Dropdown/Angle Control)
3. Duration (Slider, Min: 0 sec, Max: ∞ sec)

5. Scale (Point, Min: 0%, Max: ∞)
6. Scale (Point, Min: 0%, Max: ∞)

7. Opacity (Slider, Min: 0%, Max: 100%)
8. Feathering (Slider, Min: 0, Max: ∞)

```

## References

* Airbnb Javascript Style Guide
* UE5 Style Guide, Ullah

## Techniques

### Glass Refraction Effect

```
1. Create a luma matte tiled
2. Use `Displacement map` effect
3. Duplicate the 
```

* Mograph Mill. "Create a Refracted Glass Effect in After Effects Tutorial." YouTube video, September 11, 2021. <https://www.youtube.com/watch?v=zvdOIpajDMQ&t=287s>.

## Version Control for Design

* How do you manage version control for developing designs and explorations?

**What is Version Control in software development?**

Version control is a method that record modifications as they occur, facilitating collaborative effort among multiple developers on a single project. It preserves a chronological log of changes, ensuring that specific version can be accesses and restored whenever necessary.

&#x20;**Why is relevant to visual design?**

* Collaborative
* Manage huge volume of designs or animations or iterations

Readings

* <https://www.artworkflowhq.com/resources/efficient-version-control-for-creative-teams>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosleepcreative.com/dev/sandbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
